<?php 

error_reporting (0);

// Get output mode

if ( is_file ( "img_settings/mode.inc" ) )
	extract ( parse_ini_file ( "img_settings/mode.inc" ) );
else 	$mode = 0;

//

function make_seed() {
    list($usec, $sec) = explode(' ', microtime());
    return (float) $sec + ((float) $usec * 100000);
}
srand(make_seed());
$randval = rand();

////////////////////////////////

$handle = opendir("./img"); 

$img_list=array();

while ($file = readdir($handle)) { 
    if ($file != "." && $file != "..") { 
		
		$filetype = explode ( '.', $file );
		$filetype = strtolower ( $filetype[1] );
		
		if ( 	$filetype == 'gif' || $filetype == 'jpg' || $filetype == 'jpeg' || $filetype == 'png' || 
			$filetype == 'htm' || $filetype == 'html' || $filetype == 'txt' || $filetype == 'swf') {
			
			$filename = basename ( $file );
			$set = parse_ini_file ( "img_settings/" . $filename . ".set" );
			
			if ( $set['enabled'] == 1 || isset ( $_GET['item'] ) ) {
			
				$img_list[] = array ('name'=>"img/$file",'set'=>$set);
				
			}
		}

    } 
}


closedir ($handle); 

	if ( !empty ( $img_list ) ) {
		
	if ( $mode == 0 ) { 	// Random mode
		
		$i=sizeof($img_list);
		$item=$randval % $i;
	}
	else {			// Consistence mode
	
		if ( is_file ( "img_settings/last.inc" ) )
			extract ( parse_ini_file ( "img_settings/last.inc" ) );
		else 	$item = -1;
		
		$item = trim ($item);
		
		if ( isset ( $img_list[$item+1] ) )
			$item++;
		else	$item = 0;
		
	}
	
				// Directly exec
				
		if ( isset ( $_GET['item'] ) )
			$item = $_GET['item'];
			
			
	
	$unique = uniqid(rand());
	$image = $img_list[$item]['name'];
	$show = $image . "?" . $unique;
	
		
	extract ( $img_list[$item]['set'] );
	
	$filename = basename ( $image );
	$filetype = explode ( '.', $filename );
	$filetype = strtolower ( $filetype[1] );
	switch ( $filetype ) {
	
	case "gif":
	case "jpg":
	case "jpeg":
	case "png":
			if ( !empty ( $ahref ))
				echo "<a href='$ahref'>";
			
			
			$output = "<img border='0' src='$show'";
			
			if (!empty ( $width ))
				$output .= " width='$width'";
			if (!empty ( $height ))
				$output .= " height='$height'";
			if (!empty ( $alt ))
				$output .= " alt='$alt'";
			
			$output .= ">";
			
			echo $output;
			
			if ( !empty ( $ahref ))
				echo "</a>";
			break;
	
	case "htm":
	case "html":
	case "txt": 
			include_once ("$image");break;
	
	case "swf": 	
			if ( empty ( $width ) )
				$width="30%";
			if ( empty ( $height ) )
				$height="30%";
			
			include_once ("swf_view.php");break;
	
	}
	
	
	// Write last file
	
	$file = fopen ( "img_settings/last.inc", "w");
	$succ = fwrite ( $file, "item=" . $item . "\n" );
	@chmod ( "img_settings/last.inc", 0777 );
	fclose( $file );
	
	
}

//exit;

?>