<?php

error_reporting (0);

include_once ('redir.php');
include_once ('session.php');


session_start();
$auth = $_SESSION['auth'];
if( !$auth )
{
	session_destroy();
	Redirect('./');
}

define ('SUCCESS', true);
define ('ERROR', false);

function imgSettings ( $filename, $set_array = array() ) {

	extract ( $set_array );
	
	if ( !isset( $ahref ) )
		$ahref = "";
	if ( !isset( $width ) )
		$width = "";
	if ( !isset( $height ) )
		$height = "";
	if ( !isset( $alt ) )
		$alt = "";
	if ( !isset( $enabled ) )
		$enabled = "0";
		
	$filetype = explode ( '.', $filename );
	$filetype = strtolower ( $filetype[1] );
	
	$settings = "";
	
	switch ( $filetype ) {
	
	case "gif": 
	case "jpg": 
	case "jpeg": 
	case "png": $settings .= "enabled=$enabled\nahref=\"".htmlentities(stripslashes($ahref),ENT_QUOTES)."\"\nwidth=$width\nheight=$height\nalt=\"".htmlentities(stripslashes($alt),ENT_QUOTES)."\"\n"; break;
	case "htm": 
	case "html": 
	case "txt": $settings .= "enabled=$enabled\n";break;
	case "swf": $settings .= "enabled=$enabled\nwidth=$width\nheight=$height\n"; break;

	}
	
	if ( !$_SESSION['demo'] ) {
		$file = fopen ( "img_settings/" . $filename . ".set", "w" );
		$succ = fwrite ( $file, $settings );
		chmod ( "img_settings/" . $filename . ".set", 0777 );
		fclose( $file );
	}
}

function Log0( $text, $type )
{
	global $log;
	$logentry['text'] = $text;
	$logentry['type'] = $type;
	$log[] = $logentry;
}

if( $_SERVER['REQUEST_METHOD'] == 'POST' && !$_SESSION['demo'] )
{
	$form = $HTTP_POST_VARS['submit'];
	if( $form == 'Upload' )
		foreach( $HTTP_POST_FILES as $file )
		{
			$filename = $file['name'];
			$location = $file['tmp_name'];
			$target = 'img/' . $filename;
			if( file_exists( $target ) )
				Log0("File $filename already exists. You should delete it first.", ERROR );
			else
			{
				$rc = move_uploaded_file( $location, $target );
				if( $rc ) {
					Log0("File $filename successfully uploaded.", SUCCESS );
					imgSettings ( $filename );
				}
				else
					Log0("Failed to move uploaded file $filename into target directory.", ERROR );
			}
		}
	elseif( $form == 'Delete' )
	{
		foreach( $HTTP_POST_VARS as $name => $value )
		{
			if( $name == "submit" )
				continue;
			
			if( is_array ( $value ) )
				continue;
			
			
			$target = 'img/' . $value;
			if( !file_exists( $target ) )
			{
				Log0("Failed to delete file $value. File does not exist.", ERROR);
				continue;
			}
			
			$rc = @unlink( $target );
			if( $rc )
				Log0("File $value successfully deleted.", SUCCESS);
			else
				Log0("Failed to delete file $value. Unspecified error.", ERROR);
		
			
			if ( file_exists( "img_settings/" . $value . ".set" ) )
				@unlink( "img_settings/" . $value . ".set" );
			
		}
	}
	
	
	elseif( $form == 'Edit' ) {
		
		if ( isset ( $HTTP_POST_VARS['edit'] ) ) {
					
			foreach( $HTTP_POST_VARS['edit'] as $name => $value )
			{
				
				imgSettings ( $name, $value );
							
			}
		}
		
		
		if ( isset ( $HTTP_POST_VARS['text'] ) ) {
				
			foreach( $HTTP_POST_VARS['text'] as $name => $value )
			{
				
				$value['text'] = stripslashes ( $value['text'] );
				
				$file = fopen ( "img/" . $name, "wb" );
				fwrite ( $file, $value['text'] );
				fclose ( $file );
				
							
			}
		}		
		
		Log0("Information edited.", SUCCESS);
		
	}
	
	// Change output mode
	
	if ( isset ( $_POST['output'] ) ) {
	
		$output_mode = $_POST['mode'];
		$file = fopen ( "img_settings/mode.inc", "w" );
		fwrite ( $file, "mode=$output_mode\n" );
		fclose ( $file );
		
	}
}

$handle = opendir("./img"); 

$img_list=array();

while ($file = readdir($handle)) { 
    if ($file != "." && $file != "..") { 
		array_push($img_list,"$file");
    } 
}

closedir ($handle); 

?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>Ad Rotator</TITLE>
<META http-equiv="Content-Type" content="text/html; charset=windows-1251">
<LINK rel="stylesheet" type="text/css" href="style.css">
</HEAD>
<BODY bgcolor="#FFFFFF" text="#000000" link="#000000" vlink="#000000" alink="#000000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<table width="100%" border="0" bgcolor="#30608F" cellpadding="5" cellspacing="5">
  <tr>
    <td><font class="chapter2">ABC Advertise</font></td>
    <td align="center"><a href="logout.php" class="logout">Logout</a></td>
  </tr>
</table>

<table width="100%" height="30" border="0" cellpadding="5" cellspacing="5">
<tr>
<td>


<?php
	if( count ( $log ) > 0 )
	{
		print "<ul>\n";
		foreach( $log as $logentry )
		{
			$text = $logentry['text'];
			switch( $logentry['type'] )
			{
			case SUCCESS:
				print "<li>$text</li>\n";
				break;
			case ERROR:
				print "<li><font color=red>$text</font></li>\n";
				break;
			}
		}
		print "</ul><hr>\n";
	}

if ( is_file ( "img_settings/mode.inc" ) )
	extract ( parse_ini_file ( "img_settings/mode.inc" ) );
else 	$mode = 0;

switch ( $mode ) {

case "0": $sel0="selected";$sel1="";break;	
case "1": $sel1="selected";$sel0="";break;
	
}
?>


<font class="chapter3">Uploading new banner</font>
<form action="" method="post" enctype="multipart/form-data" name="form1">
  <p>Upload new banner: 
    <input type="file" name="file">
    <input name="submit" type="submit" id="submit" value="Upload">
  </p>
</form>


Supported file formats  .gif, .jpg, .jpeg, .png, .htm, .html, .txt, .swf
<hr width="100%" size="1" noshade color="#84A7CE">

<font class="chapter3">How to show banners</font>
<form name="form3" method="post" action="">
  <p>Set up how to show banners:&nbsp;
  <select name="mode">
  <option value="0" <?php echo $sel0;?>>Randomly</option>
  <option value="1" <?php echo $sel1;?>>Consistently</option>
  </select>
  <input type="submit" name="output" value="Submit">
  </p>
</form>

<hr width="100%" size="1" noshade color="#84A7CE">

<font class="chapter3">Maintain existing banners</font>

<p><font color="#CC0000"><strong>Del</strong></font>
- to delete images check the box before the image name and press [Delete]. 
<br>
<font color="#006699"><strong>On/Off</strong></font>
- to turn On/Off banners check the box after the banner name and press [Edit].
Edit the height, width, href, alt and the text of your banners fill in the corresponding fields and press [Edit].

<form name="form2" method="post" action="">

<table border="0">

<tr><td><font color="#CC0000"><strong>Del</strong></font></td><td></td><td><font color="#006699"><strong>On/Off</strong></font></td><td></td></tr>

<?php
	
	$format = "<tr><td><input type=\"checkbox\" name=\"%s\" value=\"%s\"></td><td><a href=\"ad_rotator.php?item=%s\" target=\"_blank\"><b>%s</b></a></td>";
	
	foreach( $img_list as $key=>$image ) {
		
		$filename = basename ( $image );
		extract ( parse_ini_file ( "img_settings/" . $filename . ".set" ) );
				
		printf( $format, $image, $image, $key, $image );
		
		$filetype = explode ( '.', $filename );
		$filetype = strtolower ( $filetype[1] );
				
		switch ( $filetype ) {

			case "gif":
			case "jpg":
			case "jpeg":
			case "png":	if ( $enabled == 1 )
						$checked = "checked";
					else	$checked = "";
					
					print ("<td><input type='checkbox' name='edit[$filename][enabled]' value='1' $checked></td><td>enabled,</td>");
					print ("<td>width=</td><td><input type='text' name='edit[$filename][width]' value='$width' size='4'>,</td>");
					print ("<td>height=</td><td><input type='text' name='edit[$filename][height]' value='$height' size='4'>,</td>");
					print ("<td>href=</td><td><input type='text' name='edit[$filename][ahref]' value='$ahref'>,</td>");
					print ("<td>alt=</td><td><input type='text' name='edit[$filename][alt]' value='$alt'></td>");
					break;
			
			case "htm":	
			case "html":
			case "txt": 	if ( $enabled == 1 )
						$checked = "checked";
					else	$checked = "";
					
					print ("<td><input type='checkbox' name='edit[$filename][enabled]' value='1' $checked></td><td>enabled,</td>");
					$file = fopen ( "img/" . $image, "r" );
					$text = fread ( $file, filesize ( "img/" . $image ) );
					fclose ( $file );
					print ("<td>text=</td><td colspan='7'><textarea name='text[$filename][text]' cols='65' rows='3'>$text</textarea></td>");
					print ("<input type='hidden' name='edit[$filename][hidden]' value=''>");
					break;
			
			
			case "swf": 	if ( $enabled == 1 )
						$checked = "checked";
					else	$checked = "";
					
					print ("<td><input type='checkbox' name='edit[$filename][enabled]' value='1' $checked></td><td>enabled,</td>");
					print ("<td>width=</td><td><input type='text' name='edit[$filename][width]' value='$width' size='4'>,</td>");
					print ("<td>height=</td><td><input type='text' name='edit[$filename][height]' value='$height' size='4'></td>");
					break;
			
			
		}
		
		echo "</td></tr>";
	
	}
		
		
	if( count( $img_list ) == 0 )
		print "<b>-- No files --</b>\n";
?>
<tr><td colspan="2"><br><br><input type="submit" name="submit" value="Delete"></td><td colspan="2">
<br><br><input type="submit" name="submit" value="Edit"></td></tr>
</table>
</form>

</td>
</tr>
</table>



<!-- FOOTER -->
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
<tr>
<td bgcolor="#84A7CE" width="100%"><img src="style/spacer.gif" width="1" height="1"></td>
</tr>
<tr>
<td align="right"><a href="http://www.zakkis.ca" class="copyright"> 2004 Zakkis Technology Corporation. All rights reserved.&nbsp;</a></td>
</tr>
</table>
<!-- /FOOTER -->

